
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php解析html类库simple_html_dom(详细介绍)_php技巧 / iVAN</title>

    <meta name="description" content="php解析html类库simple_html_dom(详细介绍)_php技巧 下载地址:https://github.com/samacs/simple_html_dom 解析器不仅仅只是帮助我们验证html文档:更能解析不符合W3C标准的html文档.它使用了类似jQuery的元素选择器,通过元素的id,class,tag等等来查找定位:同时还提供添加.删除.修改文档树的功能.当然,这样一款强大的html Dom解析器也不是尽善尽美:在使用的过程中需要十分小心内存消耗的情况.不过,不要担心:本文中,笔者在最后会为各位介绍如何避免消耗过多的内存.开始使用上传类文件以后,有">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php解析html类库simple_html_dom(详细介绍)_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>下载地址：https://github.com/samacs/simple_html_dom</p>
<p>解析器不仅仅只是帮助我们验证html文档；更能解析不符合W3C标准的html文档。它使用了类似jQuery的元素选择器，通过元素的id，class，tag等等来查找定位；同时还提供添加、删除、修改文档树的功能。当然，这样一款强大的html Dom解析器也不是尽善尽美；在使用的过程中需要十分小心内存消耗的情况。不过，不要担心；本文中，笔者在最后会为各位介绍如何避免消耗过多的内存。<br />开始使用<br /><strong>上传类文件以后，有三种方式调用这个类：<br /></strong>从url中加载html文档<br />从字符串中加载html文档<br />从文件中加载html文档</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />// 新建一个Dom实例<br />$html = new simple_html_dom();</p>
<p>// 从url中加载<br />$html-&gt;load_file('http://www.jb51.net');</p>
<p>// 从字符串中加载<br />$html-&gt;load('&lt;html&gt;&lt;body&gt;从字符串中加载html文档演示&lt;/body&gt;&lt;/html&gt;');</p>
<p>//从文件中加载<br />$html-&gt;load_file('path/file/test.html');<br />?&gt;</p>
<p>如果从字符串加载html文档，需要先从网络上下载。建议使用cURL来抓取html文档并加载DOM中。<br /><strong>查找html元素<br /></strong>可以使用find函数来查找html文档中的元素。返回的结果是一个包含了对象的数组。我们使用HTML DOM解析类中的函数来访问这些对象，下面给出几个示例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php</p>
<p>//查找html文档中的超链接元素<br />$a = $html-&gt;find('a');</p>
<p>//查找文档中第(N)个超链接，如果没有找到则返回空数组.<br />$a = $html-&gt;find('a', 0);</p>
<p>// 查找id为main的div元素<br />$main = $html-&gt;find('div[id=main]',0);</p>
<p>// 查找所有包含有id属性的div元素<br />$divs = $html-&gt;find('div[id]');</p>
<p>// 查找所有包含有id属性的元素<br />$divs = $html-&gt;find('[id]');<br />?&gt;</p>
<p>还可以使用类似jQuery的选择器来查找定位元素：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />// 查找id='#container'的元素<br />$ret = $html-&gt;find('#container');</p>
<p>// 找到所有class=foo的元素<br />$ret = $html-&gt;find('.foo');</p>
<p>// 查找多个html标签<br />$ret = $html-&gt;find('a, img');</p>
<p>// 还可以这样用<br />$ret = $html-&gt;find('a[title], img[title]');<br />?&gt;</p>
<p>解析器支持对子元素的查找</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php</p>
<p>// 查找 ul列表中所有的li项<br />$ret = $html-&gt;find('ul li');</p>
<p>//查找 ul 列表指定class=selected的li项<br />$ret = $html-&gt;find('ul li.selected');</p>
<p>?&gt;</p>
<p>如果你觉得这样用起来麻烦，使用内置函数可以轻松定位元素的父元素、子元素与相邻元素</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />// 返回父元素<br />$e-&gt;parent;</p>
<p>// 返回子元素数组<br />$e-&gt;children;</p>
<p>// 通过索引号返回指定子元素<br />$e-&gt;children(0);</p>
<p>// 返回第一个资源速<br />$e-&gt;first_child ();</p>
<p>// 返回最后一个子元素<br />$e-&gt;last _child ();</p>
<p>// 返回上一个相邻元素<br />$e-&gt;prev_sibling ();</p>
<p>//返回下一个相邻元素<br />$e-&gt;next_sibling ();<br />?&gt;</p>
<p><strong>元素属性操作<br /></strong>使用简单的正则表达式来操作属性选择器。<br />[attribute] – 选择包含某属性的html元素<br />[attribute=value] – 选择所有指定值属性的html元素<br />[attribute!=value]- 选择所有非指定值属性的html元素<br />[attribute^=value] -选择所有指定值开头属性的html元素<br />[attribute$=value] 选择所有指定值结尾属性的html元素<br />[attribute*=value] -选择所有包含指定值属性的html元素<br />在解析器中调用元素属性<br />在DOM中元素属性也是对象：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />// 本例中将$a的锚链接值赋给$link变量<br />$link = $a-&gt;href;<br />?&gt;</p>
<p>或者：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />$link = $html-&gt;find('a',0)-&gt;href;<br />?</p>
<p>每个对象都有4个基本对象属性:<br />tag – 返回html标签名<br />innertext – 返回innerHTML<br />outertext – 返回outerHTML<br />plaintext – 返回html标签中的文本<br />在解析器中编辑元素<br />编辑元素属性的用法和调用它们是类似的：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />//给$a的锚链接赋新值<br />$a-&gt;href = 'http://www.jb51.net';</p>
<p>// 删除锚链接<br />$a-&gt;href = null;</p>
<p>// 检测是否存在锚链接<br />if(isset($a-&gt;href)) {<br />//代码<br />}<br />?&gt;</p>
<p>解析器中没有专门的方法来添加、删除元素，不过可以变通一下使用：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />// 封装元素<br />$e-&gt;outertext = '&lt;div class="wrap"&gt;' . $e-&gt;outertext . '&lt;div&gt;';</p>
<p>// 删除元素<br />$e-&gt;outertext = '';</p>
<p>// 添加元素<br />$e-&gt;outertext = $e-&gt;outertext . '&lt;div&gt;foo&lt;div&gt;';</p>
<p>// 插入元素<br />$e-&gt;outertext = '&lt;div&gt;foo&lt;div&gt;' . $e-&gt;outertext;<br />?</p>
<p>保存修改后的html DOM文档也非常简单：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />$doc = $html;<br />// 输出<br />echo $doc;<br />?&gt;</p>
<p><strong>如何避免解析器消耗过多内存<br /></strong>在本文的开篇中，笔者就提到了Simple HTML DOM解析器消耗内存过多的问题。如果php脚本占用内存太多，会导致网站停止响应等一系列严重的问题。解决的方法也很简单，在解析器加载html文档并使用完成后，记得清理掉这个对象就可以了。当然，也不要把问题看得太严重了。如果只是加载了2、3个文档，清理或不清理是没有多大区别的。当你加载了5个10个甚至更多的文档的时候，用完一个就清理一下内存绝对是对自己负责啦^_^</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />$html-&gt;clear();<br />?&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:03:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/html%e7%b1%bb%e5%ba%93/" title="html类库">html类库</a>, <a href="https://www.iamivan.net/tag/simple_html_dom/" title="simple&lowbar;html&lowbar;dom">simple&lowbar;html&lowbar;dom</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php解析html类库simple_html_dom(详细介绍)_php技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4v9Zz.html" rel="bookmark">php 解析xml 的四种方法详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php 解析xml 的四种方法 XML处理是开发过程中经常遇到的,PHP对其也有很丰富的支持,本文只是对其中某几种解析技术做简要说明,包括:Xml parser, SimpleXML, XMLReader, DOMDocument. 1. XML Expat Parser: XML Parser使用Expat XML解析器.Expat是一种基于事件的解析器,它把XML文档视为一系列事件.当某个事件发生时,它调用一个指定的函数处理它.Expat是无验证的解析器,忽略任何链接到文档的DTD.但是,如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq4lEp.html" rel="bookmark">PHP比较运算符的详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比较运算符种类 如同它们名称所暗示的,允许对两个值进行比较.比较运算符有如下几个: 1) $a &gt; $b 大于:如果 $a 严格大于$b,则返回TRUE 2) $a &lt; $b 小于:如果 $a 严格小于$b,则返回TRUE 3) $a &gt;= $b 大于等于:如果 $a 大于等于$b,则返回TRUE 4) $a &lt;= $b 小于等于:如果 $a 小于等于$b,则返回TRUE 5) $a &lt;&gt; $b 不等于:如果 $a 不等于$b,则返回TRUE 6) $a != $b 不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVwv1Bb.html" rel="bookmark">PHP7 新特性详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP 的学习新特性 最近做的项目使用了 php7,但感觉有很多新特性没有用起来.就想总结一下,一些可能会用到的新特性.之前使用的环境是 php5.4,所有也会有 php5.5 和 php5.6 的特性总结进来,这里只列出我觉得在项目中可能用到的特性,主要内容来自 php手册的附录. Generators (PHP 5 &gt;= 5.5.0, PHP 7) 通过添加 yield 关键字支持了 generators,Generators 提供了一个更简单的方法实现迭代器,不需要实现 Iterator			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkekywb.html" rel="bookmark">PHP之十六个魔术方法详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP中把以两个下划线__开头的方法称为魔术方法(Magic methods),这些方法在PHP中充当了举足轻重的作用. 魔术方法包括: __construct(),类的构造函数 __destruct(),类的析构函数 __call(),在对象中调用一个不可访问方法时调用 __callStatic(),用静态方式中调用一个不可访问方法时调用 __get(),获得一个类的成员变量时调用 __set(),设置一个类的成员变量时调用 __isset(),当对不可访问属性调用isset()或empty(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NdONb.html" rel="bookmark">解析用PHP实现var&lowbar;export的详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;?php/** * PHP 实现var_export();功能 */   $arr = array(&quot;1&quot;,&quot;2&quot;,&quot;3&quot;);   $arr1 = array('a'=&gt;NULL,'b'=&gt;array('1'=&gt;3));   var_export($arr);   //var_export($arr1);  function varExport($arr){     $ret = &quot;arr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjoX7WM.html" rel="bookmark">Thinkphp中import的几个用法详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面附上import的几个用法介绍 1.用法一 import('@.Test.Translate'); @,表示项目根目录.假定根目录是:App/ 导入类库的路径是:App/Lib/Test/Translate.class.php 结论:import('@')是相对于项目目录的Lib目录而言 2.用法二 import('Think.Test.Translate'); Think,表示系统根目录.既是:./ThinkPHP/ 导入类库的路径是:./ThinkPHP/Lib/Test/Transla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWoqJp.html" rel="bookmark">PHP中的命名空间详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 PHP对于命名空间的支持,经历了一段艰难的旅程.幸运的是,PHP从5.3开始引入了命名空间.自从PHP引入了命名空间,PHP代码的适用结构也得到了大大的改善.许多编程语言早就有了命名空间的概念,相对于其他语言来说,PHP对于命名空间的支持,稍微有点晚了.不管如何,每一种新特性的引入都有其目的,和其他语言一样,PHP引入命名空间也主要是为了解决名字冲突的问题. 命名空间(namespace)的概念 复制代码 代码如下: 当在字符串中使用命名空间名字的时候,一定不要忘了转义\ 可以将命名空间想			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk5Kvp.html" rel="bookmark">PHP 匿名函数与注意事项详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP 匿名函数与注意事项 PHP5.2 以前:autoload, PDO 和 MySQLi, 类型约束 PHP5.2:JSON 支持 PHP5.3:弃用的功能,匿名函数,新增魔术方法,命名空间,后期静态绑定,Heredoc 和 Nowdoc, const, 三元运算符,Phar PHP5.4:Short Open Tag, 数组简写形式,Traits, 内置 Web 服务器,细节修改 PHP5.5:yield, list() 用于 foreach, 细节修改 PHP5.6: 常量增强,可变函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z441R8z.html" rel="bookmark">PHP session&lowbar;start&lpar;&rpar;问题解疑&lpar;详细介绍&rpar;&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文,将这些问题,做一个简单的汇总,以便大家查阅.1.错误提示Warning: Cannot send session cookie - headers already sentWarning: Cannot send session cache limiter - headers already sent分析及解决办法这一类问题,的原因是你在程序中使用PHP session_start()时,之前已经有实际的html内容输出了.或许你说,我没有啊,我只不过是echo或print一条消息了.很抱			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx5jPp.html" rel="bookmark" class="title">asp&period;net中将数据库绑定到DataList控件的实现方法与实例代码</a>
					<div>
						解决方法1: datalist databind() 解决方法2: 查看MSDN上的详细说明资料 解决方法3: 在DataList的模板中用table表格,如: 复制代码 代码如下: &lt;asp: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkBAjM.html" rel="bookmark" class="title">中文与数字相互转换的函数</a>
					<div>
						函数|中文|转换 Function ChangeTypeCN(par_content)dim cton,ntoc,Cno,Cycle,Nycle,CarrayCno=&quot;一~二~三~四~五~六 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD2qvM.html" rel="bookmark" class="title">浅谈如何在短期内快速提升网站权重</a>
					<div>
						无可置疑的,每位站长都是非常的在意自身网站在搜索引擎中的权重值,特别是百度权重,因为在中国百度搜索引擎无疑是行业的龙头,如今的互联网中的个人网站,百分之九十以上的流量均来自百度,其次才是搜狗.谷歌等搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVerYp.html" rel="bookmark" class="title">接口测试提测：接口文档规范</a>
					<div>
						接口测试的依据,往往不是需求文档,而是接口文档. 那么,接口文档的准确性便至关重要,本文推荐两种形式的接口文档,供大家参考. 接口文档不管以什么形式存在,需要包含的内容有: 接口名称 接口类型 输入参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Q4qb.html" rel="bookmark" class="title">SharePoint 2007视图过滤中People字段的局限</a>
					<div>
						在SharePoint 2007中,遇到过一个很妖的问题,我们在一个自定义的列表中添加了一个新的People类型字段后在视图里面使用此字段=[Me],却怎么也没有起效果,所有的地方看起来都很正常,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Na07z.html" rel="bookmark" class="title">Ruby方法名简写的trick&hellip;&hellip;（外加方法名缩写的trick）</a>
					<div>
						刚才跟NS老兄聊的时候他给我看了段代码: night_stalker 写道 看到一个方法简写 trick Irb代码 irb(main):004:0&gt; &quot;Hello World&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjOKEp.html" rel="bookmark" class="title">SQL Server 2000 sa密码忘了怎么办</a>
					<div>
						首先是以&quot;windows身份验证&quot;方式登录SQL查询分析器,然后执行 EXEC sp_password NULL,'hello','sa' 就可以将sa的密码改为hello了. S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXByglb.html" rel="bookmark" class="title">设计师攻略：10招让你的作品更具吸引力</a>
					<div>
						在互联网产品日益注重用户体验的今天,开发团队对优秀设计师的需求也越来越迫切.大多数情况下,开发团队的主管并不是设计师出身.如何让非专业出身的雇主认可设计师的作品?这是众多设计师需要解决的问题.没有运用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLBVGb.html" rel="bookmark" class="title">Framer&period;js 让产品原型更逼真</a>
					<div>
						  如果你把Framer Studio导出的Framer框架代码覆盖到你自己的Framer框架下就可以实现了,毕竟Framer是开源的框架,可做任意Hack.如果你还不了解,可以去下面得连接check ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNgN8M.html" rel="bookmark" class="title">买U盘的三大标准</a>
					<div>
						  1.价格起决定因素的.这些人一般以在校学生为主,买U盘也主要就是为了存放一些学习资料和个人信息,由于经济问题,性价比对他们来説是最重要的,至于速度和稳定性,他们顾不了那么多.推荐品牌:纽曼,忆捷, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArBwZp.html" rel="bookmark" class="title">苹果桌面如何改变图标文字背景色</a>
					<div>
						  第一步,找到你要调整的图标,如图所示,右键打开菜单. 第二步,选择&quot;更改文字背景色&quot;,下面我们就可以根据自己的喜好选择颜色了,以红色为例.可以看到,原本无色的文字背景变成了醒目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PZZ4p.html" rel="bookmark" class="title">华润雪花啤酒公司营销中心总经理</a>
					<div>
						侯孝海 一个十年老友兼同事告诉我,在很多央企里,决定你职业命运的不是你的能力,也不是你的业绩.能力和业绩的重要性,甚至都排不到前三位.我一听就乐了,甚至都忘记问朋友在央企里最重要的是什么了! 华润雪花 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVX7Ab.html" rel="bookmark" class="title">Windows C编程操作鼠标键盘</a>
					<div>
						    通过keybd_event和mouse_event功能函数,操作鼠标键盘. #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #includ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmLarb.html" rel="bookmark" class="title">Hadoop平台上的海量数据排序（2）</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   使用Hadoop进行 GraySort基准排序时,Ya ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBR3KM.html" rel="bookmark" class="title">V8世界探险 &lpar;1&rpar; - v8 API概览</a>
					<div>
						V8世界探险 (1) - v8 API概览 v8是Google开发的JavaScript引擎,自推出后就对js生态产生了巨大的影响.比如产生了运行在服务端的Node.js的巨大生态. 这么好玩的东西, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBVwDb.html" rel="bookmark" class="title">&num;pragma指令的用法</a>
					<div>
						在所有的预处理指令中,#Pragma 指令可能是最复杂的了,它的作用是设定编译器的状态或者是指示编译器完成一些特定的动作.#pragma指令对每个编译器给出了一个方法,在保持与C和C++语言完全兼容的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYVGyp.html" rel="bookmark" class="title">《stm32嵌入式系统开发实战指南》一1&period;3 STM32互联型嵌入式控制器</a>
					<div>
						1.3 STM32互联型嵌入式控制器 半导体制造厂商意法半导体(ST)是率先推出基于Cortex-M3的32位微控制器系列产品的厂家之一.STM32系列产品所用的微处理器是ARM公司为要求高性能(1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZOKYM.html" rel="bookmark" class="title">Sed 与 Linux 等价命令代码鉴赏&lpar;转&rpar;</a>
					<div>
						  参考了     http://www.chinaunix.net/jh/24/307045.html                       sed     http://bbs.chinau ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWVO8z.html" rel="bookmark" class="title">《Android应用开发从入门到精通》&mdash;&mdash;第2章，第2&period;1节开发准备工作</a>
					<div>
						2.1 开发准备工作 Android应用开发从入门到精通 下面来了解一下开发Android程序需要哪些工具. 1．Java JDK JDK(Java Development Kit)是Sun Micr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgP4Yb.html" rel="bookmark" class="title">大哥们　我只有三分了，谢谢　全给你们　Remoting，我现在想当服务器端有某个事件发生时能够影响到客户端，让客户端能够捕捉到这个事件并进行处理，不知道怎么实现＜注意是在Ｂ／Ｓ中＞</a>
					<div>
						问题描述 一个信息管理系统,当用户登陆后 在首页会有类似MSN 一样的提示,您有几条短消息,但是要求时 在添加消息页面,消息一发送 就需要在首页给该用户提示不能采用 定时器 访问服务器端, 而是服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZgaLM.html" rel="bookmark" class="title">投资人热衷的云计算行业 安全性究竟有多重要？</a>
					<div>
						云计算市场近几年的迅猛发展,使得越来越多的企业对云计算的认可度不断提高,这是得益于云计算确实给企业云业务所带来了便捷与高效等利好.与此同时,资本市场对于云计算市场也相对比较热衷. 但随着云计算行业的发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEavkM.html" rel="bookmark" class="title">企业都该设搜索营销部门 SEO技术发展空间巨大！</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 随着互联网的发展,有越来越多的企业利用网络得到的巨大收益,因为搜索引擎营销已在国外企业中成为主流营销模式.从全球范围看,互联网对企业的帮助,很大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60NmJz.html" rel="bookmark" class="title">通过Debug信息调试Nginx</a>
					<div>
						如果需要对Nginx进行详细调试,就需要查看其http://www.aliyun.com/zixun/aggregation/10818.html&quot;&gt;Debug信息.而默认情况下这些信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJE8Rp.html" rel="bookmark" class="title">一个美国制造商的自述：中国给我上了一课</a>
					<div>
						[国际财经时报 北京]一个北佐治亚州的纽扣制造商作出了令人费解的举动:关闭了位于中国的工厂. &quot;嗨,美国制造总是最好的&quot;,Scovill扣件有限公司流水线负责人Angie Kast ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwaQBM.html" rel="bookmark" class="title">线程-Ble发送数据，发送不及时</a>
					<div>
						问题描述 Ble发送数据,发送不及时 需要200毫秒间隔,不停向下位机发送数据. 我的线程打印,却是是隔了200毫秒,发送一次,writeCharacteristic返回也是true. 但是串口调试助 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ4mKp.html" rel="bookmark" class="title">用C&num;开发通信服务器端的稳定性问题</a>
					<div>
						问题描述 上面的意思是用C#做一套公司内部用的通信软件,主要发送信息人数大概30,接收信息的人有300,除了人用之外,公司的各套软件的一些重要信息也会通过这套东西发布,我想把服务器端设置成双重结构,第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn9XQp.html" rel="bookmark" class="title">三星J3109手机屏幕锁屏时间太短怎么修改&quest;</a>
					<div>
						锁屏最长时间为10分钟了,如果超过10分钟可以使用智能休眠功能了,要文章介绍的是锁屏时间不介绍智能休眠设置了,这个本站也有相关教程各位可以找找. 1.在三星J3109[应用程序].   2.进入应用后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYAjAb.html" rel="bookmark" class="title">HTML5中使用video播放视频的详解</a>
					<div>
						1,下面是一个播放视频的最简单样例 (controls属性告诉浏览器要有基本播放控件) &lt;video src=&quot;hangge.mp4&quot; controls&gt;&lt;/vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE5P1z.html" rel="bookmark" class="title">centos中Nginx安装Pydio基本设置详解</a>
					<div>
						目前有好多的云存储的服务,如百度云.360云.Dropbox之类,虽然国产的云提供了大空间存储,但是总是有点怪异,目前百度云在下载方面出现了限速的行为,非要开通会员才能全速下载,弄得几百兆的宽带只能以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZQ00z.html" rel="bookmark" class="title">HQL</a>
					<div>
						问题描述 List&lt;AgentInfo&gt;list=hibernateTemplate.find(&quot;fromAgentInfoaleftjoinfetcha.bigClientbl ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
